function getSEO(type){
    
	var mySite_url = $.trim($("#mySite_url").val());
	if(mySite_url=="" || !IsURL(mySite_url)){
		alert("错误：网站地址填写错误，请正确填写");
		$("#mySite_url").attr("value", "http://");
		$("#mySite_url").focus();
		return false;
	}     
    
    getSeoInfo(type, mySite_url);    
    
    if(type == "baidu"){
        $("#reget-baidu").hide();
        $("#loading-baidu").show();       
    }else if(type == "google"){
        $("#reget-google").hide();
        $("#loading-google").show();
    }else if(type == "pr"){
        $("#reget-pr").hide();
        $("#loading-pr").show();        
    }else if(type == "alexa"){
        $("#reget-alexa").hide();
        $("#loading-alexa").show();        
    }       
}

function setDataToInput(type, data){   
    if(type == "baidu"){
        $("#baidu").attr("value", data);
        $("#reget-baidu").hide();
        $("#loading-baidu").hide();         
        $("#check-right-baidu").show();
    }else if(type == "google"){
        $("#google").attr("value", data);
        $("#reget-google").hide();
        $("#loading-google").hide(); 
        $("#check-right-google").show();        
    }else if(type == "pr"){
        $("#pr").attr("value", data);      
        $("#reget-pr").hide();
        $("#loading-pr").hide();       
        $("#check-right-pr").show();  
    }else if(type == "alexa"){
        $("#alexa").attr("value", data);      
        $("#reget-alexa").hide();
        $("#loading-alexa").hide();    
        $("#check-right-alexa").show();     
    }    
}

function getSeoInfo(type, url){
    var parameter = {};
    parameter["sl"] = type;
    parameter["url"] = url;
    $.ajax({
        url: 'sd_doseo.asp',
        type: 'GET',
        data: parameter,
        dataType: 'text',
        timeout: 6000,
        error: function(){
            alert('提取SEO信息失败');
        },
        success: function(res){
            setDataToInput(type, res);
        },
        complete: function(){
        }
    });
}